<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use App\Models\Transaction;
use Illuminate\Database\Seeder;

class TransactionSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $count = 100;
        $type = 2;

        if ($type === 1) {

            /**
             * insert unit
             *  1000 - Database\Seeders\TransactionSeeder ...... 1,443.86 ms DONE
             * 10000 - Database\Seeders\TransactionSeeder ..... 14,256.24 ms DONE
             */
            $transactions = Transaction::factory($count)->create();
        }

        if ($type === 2) {

            /**
             * insert multiple
             *  1000 - Database\Seeders\TransactionSeeder ......... 96.11 ms DONE
             * 10000 - Database\Seeders\TransactionSeeder ........ 887.48 ms DONE
             */
            $transactions = Transaction::factory($count)->make();
            Transaction::query()->insert($transactions->toArray());
        }
    }
}
