<?php

namespace App\Tasks;

use App\Models\Transaction;
use Carbon\Carbon;

class UpdateMassiveTask
{

    public function handle()
    {
        echo 'update massive unit' . PHP_EOL;

        Transaction::query()
            ->where('id', '>', 0)
            ->chunkById(10, function ($transactions) {

                foreach ($transactions as $transaction) {
                    Transaction::query()
                        ->where('id', '=', $transaction->id)
                        ->update([
                            'date' => Carbon::now(),
                            'value' => 1,
                        ]);
                }
            });
    }
}
